net.sourceforge.pmd.lang.java.rule.typeresolution.xml

## Class MyTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - net.sourceforge.pmd.lang.java.rule.typeresolution.xml.MyTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public class MyTestCase
      extends junit.framework.TestCase

  Warning, this class IS NOT useless. It is used by the some regression tests. See file: SignatureDeclareThrowsException.xml The file is already excluded from maven/surefire.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyTestCase()`

  - ### Method Summary

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MyTestCase

          public MyTestCase()

Copyright © 2002-2013 InfoEther. All Rights Reserved.